package com.xplota.mainloader{
	import mx.preloaders.*;    
	import flash.events.ProgressEvent;
	import flash.text.TextFormat;
	import mx.controls.Image;
	import flash.display.Sprite;
	import flash.events.Event;
	import mx.events.FlexEvent;
	import mx.events.RSLEvent;
	import flash.display.Loader;
	import flash.net.URLRequest;

	public class AppProgressBar extends DownloadProgressBar{
		private var loader:Loader;
		private var _preloader:Sprite;
		
		public function AppProgressBar() {    
			super();
			// Set the download label.
			downloadingLabel="Cargando..."
			// Set the initialization label.
			initializingLabel="Iniciando..."
			// Set the minimum display time to 2 seconds.
			MINIMUM_DISPLAY_TIME=2000;        
		}
        
		// Override to return true so progress bar appears during initialization.        
		override protected function showDisplayForInit(elapsedTime:int, count:int):Boolean {
			return true;
		}
		// Override to return true so progress bar appears during download.        
		override protected function showDisplayForDownloading(elapsedTime:int, event:ProgressEvent):Boolean {
			return true;
		}
		override protected function get labelFormat():TextFormat{
			var tf:TextFormat=new TextFormat();
			tf.color=0xFFFFFF;
			tf.font = "Verdana";
			tf.size = 10;
			return tf; 	
		}
		override protected function createChildren(): void {
			super.createChildren();
		}

		override protected function completeHandler(event:Event):void{
			this.label="Cargando tema...";
			loader=new Loader();
			loader.load(new URLRequest("css/obsidian.swf"));
			loader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, progressHandler);	
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, loaderCompleteHandler);
		}
		private function loaderCompleteHandler(event:Event):void{
			_preloader.addEventListener(FlexEvent.INIT_PROGRESS, initProgressHandler);
			dispatchEvent( new Event( Event.COMPLETE ) );
		}

		override public function set preloader( preloader:Sprite ):void{
			_preloader=preloader;
			preloader.addEventListener(ProgressEvent.PROGRESS, progressHandler);	
			preloader.addEventListener(Event.COMPLETE, completeHandler);
			
			preloader.addEventListener(RSLEvent.RSL_PROGRESS, rslProgressHandler);
			preloader.addEventListener(RSLEvent.RSL_COMPLETE, rslCompleteHandler);
			preloader.addEventListener(RSLEvent.RSL_ERROR, rslErrorHandler);
		}
	}
}